Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.seqno
Class HL7SeqNumberInfo

    java.lang.Object
      com.stc.connector.hl7.framework.seqno.HL7SeqNumberInfo

All Implemented Interfaces:
  HL7SeqNumberInfoInterface

    public class HL7SeqNumberInfo

extends java.lang.Object
implements HL7SeqNumberInfoInterface

Version:
  cvs revision: $Revision: 1.7 $ Last Modified: $Date: 2008/04/10 06:33:24 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7SeqNumberInfo()` Constructor for HL7SeqNumberInfo.
`HL7SeqNumberInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`

Method Summary
`boolean` | `getSequenceNumberEnabled()` Returns the sequenceNumberEnabled.
`java.lang.String` | `getSequenceNumberFileLocation()` Returns the sequenceNumberFileLocation.
`boolean` | `isSequenceNumberEnabled()` Returns the sequenceNumberEnabled.
`void` | `setSequenceNumberEnabled(boolean sequenceNumberEnabled)` Sets the sequenceNumberEnabled.
`void` | `setSequenceNumberFileLocation(java.lang.String sequenceNumberFileLocation)` Sets the sequenceNumberFileLocation.
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7SeqNumberInfo

    public HL7SeqNumberInfo()
                     throws HL7ApplicationException

  Constructor for HL7SeqNumberInfo.

  Throws:
    `HL7ApplicationException`

### HL7SeqNumberInfo

    public HL7SeqNumberInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                     throws HL7ApplicationException

Throws:
  `HL7ApplicationException`

Method Detail

### getSequenceNumberEnabled

    public boolean getSequenceNumberEnabled()

  Returns the sequenceNumberEnabled.

  Specified by:
    `getSequenceNumberEnabled` in interface `HL7SeqNumberInfoInterface`
  Returns:
    boolean

### isSequenceNumberEnabled

    public boolean isSequenceNumberEnabled()

  Returns the sequenceNumberEnabled.

  Specified by:
    `isSequenceNumberEnabled` in interface `HL7SeqNumberInfoInterface`
  Returns:
    boolean

### getSequenceNumberFileLocation

    public java.lang.String getSequenceNumberFileLocation()

  Returns the sequenceNumberFileLocation.

  Specified by:
    `getSequenceNumberFileLocation` in interface `HL7SeqNumberInfoInterface`
  Returns:
    String

### setSequenceNumberEnabled

    public void setSequenceNumberEnabled(boolean sequenceNumberEnabled)
                                  throws HL7ApplicationException

  Sets the sequenceNumberEnabled.

  Specified by:
    `setSequenceNumberEnabled` in interface `HL7SeqNumberInfoInterface`
  Parameters:
    `sequenceNumberEnabled` - The sequenceNumberEnabled to set
  Throws:
    `HL7ApplicationException`

### setSequenceNumberFileLocation

    public void setSequenceNumberFileLocation(java.lang.String sequenceNumberFileLocation)
                                       throws HL7ApplicationException

  Sets the sequenceNumberFileLocation.

  Specified by:
    `setSequenceNumberFileLocation` in interface `HL7SeqNumberInfoInterface`
  Parameters:
    `sequenceNumberFileLocation` - The sequenceNumberFileLocation to set
  Throws:
    `HL7ApplicationException`

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD